GNU bug report logs - #9648
24.0.90; popup-menu doesn't work on Lucid Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Katsumi Yamaoka <yamaoka@HIDDEN>; dated Sun, 2 Oct 2011 01:04:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 9648 <at> debbugs.gnu.org:


Received: (at 9648) by debbugs.gnu.org; 4 Oct 2011 13:58:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 04 09:58:29 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RB5Vs-0006sl-8T
	for submit <at> debbugs.gnu.org; Tue, 04 Oct 2011 09:58:29 -0400
Received: from halifax.hostforweb.net ([205.234.198.248])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <yamaoka@HIDDEN>) id 1RB5Vp-0006sc-CG
	for 9648 <at> debbugs.gnu.org; Tue, 04 Oct 2011 09:58:26 -0400
Received: from softbank218118002006.bbtec.net ([218.118.2.6]:53801 helo=)
	by halifax.hostforweb.net with esmtpsa (TLSv1:AES128-SHA:128)
	(Exim 4.69) (envelope-from <yamaoka@HIDDEN>)
	id 1RB5UH-0008CN-SH; Tue, 04 Oct 2011 08:56:50 -0500
From: Katsumi Yamaoka <yamaoka@HIDDEN>
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#9648: 24.0.90; popup-menu doesn't work on Lucid Emacs
References: <b4md3eg8av6.fsf@HIDDEN> <4E889DAF.2040905@HIDDEN>
	<b4mipo6hq4u.fsf@HIDDEN> <b4mlit215i9.fsf@HIDDEN>
	<4E8A0D1B.4070104@HIDDEN>
References: <b4md3eg8av6.fsf@HIDDEN> <4E889DAF.2040905@HIDDEN>
	<b4mipo6hq4u.fsf@HIDDEN> <b4mlit215i9.fsf@HIDDEN>
	<4E8A0D1B.4070104@HIDDEN>
X-Face: #kKnN,xUnmKia.'[pp`;
	Omh}odZK)?7wQSl"4o04=EixTF+V[""w~iNbM9ZL+.b*_CxUmFk
	B#Fu[*?MZZH@IkN:!"\w%I_zt>[$nm7nQosZ<3eu;
	B:$Q_:p!',P.c0-_Cy[dz4oIpw0ESA^D*1Lw= L&i*6&(
Date: Tue, 04 Oct 2011 22:56:49 +0900
Message-ID: <b4mipo47tcu.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.90 (gnu/linux)
Cancel-Lock: sha1:WEw156SdWLF9GKBziNveE5OX+B0=
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Antivirus-Scanner: Clean mail though you should still use an Antivirus
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - halifax.hostforweb.net
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jpl.org
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 9648
Cc: 9648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

Jan Dj=E4rv <jan.h.d@HIDDEN> wrote:
> Hello.

> The font Emacs chooses can be one of three:

> If you have Xft (antialiased fonts) and one of Xsettings/Gsettings/GConf
> it chooses the normal font for your desktop.  You can see what it is
> by calling the lisp function font-get-system-font.

> Otherwise, it uses Sans-10 if you have Xft, or the default Xt font if not.

Thanks.  (font-get-system-font) returns "Monospace 10" in both
Cygwin and Fedora 14.  But `popup-menu' shows text in a menu on
Cygwin currently whereas it doesn't on Fedora 14.  Is there another
way to test them?

I'm sorry for the lazy response.  (I wish I could use the both
systems in the office and home.  Well, maybe I should have Cygwin
in home as well...)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.

Message received at 9648 <at> debbugs.gnu.org:


Received: (at 9648) by debbugs.gnu.org; 3 Oct 2011 19:31:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 03 15:31:02 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RAoEA-0001HG-5L
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2011 15:31:02 -0400
Received: from smtprelay-h21.telenor.se ([195.54.99.196])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jan.h.d@HIDDEN>) id 1RAoE8-0001H3-3q
	for 9648 <at> debbugs.gnu.org; Mon, 03 Oct 2011 15:31:01 -0400
Received: from iph1.telenor.se (iph1.telenor.se [195.54.127.132])
	by smtprelay-h21.telenor.se (Postfix) with ESMTP id 40993EADF4
	for <9648 <at> debbugs.gnu.org>; Mon,  3 Oct 2011 21:29:34 +0200 (CEST)
X-SENDER-IP: [85.225.45.201]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AgE/AJQMik5V4S3JPGdsb2JhbABDqAIZAQEBATcygVMBAQUyAQUeIgEQCxgJFg8JAwIBAgEbDAoGAQ0GDQEFAgEBBYd0BLhmhyEEmQWMGw
X-IronPort-AV: E=Sophos;i="4.68,481,1312149600"; d="scan'208";a="489352408"
Received: from c-c92de155.25-1-64736c10.cust.bredbandsbolaget.se (HELO
	coolsville.localdomain) ([85.225.45.201])
	by iph1.telenor.se with ESMTP; 03 Oct 2011 21:29:33 +0200
Received: from [172.20.199.13] (zeplin [172.20.199.13])
	by coolsville.localdomain (Postfix) with ESMTPSA id 24B2A7FA058;
	Mon,  3 Oct 2011 21:29:33 +0200 (CEST)
Message-ID: <4E8A0D1B.4070104@HIDDEN>
Date: Mon, 03 Oct 2011 21:29:31 +0200
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7;
	rv:5.0) Gecko/20110624 Thunderbird/5.0
MIME-Version: 1.0
To: Katsumi Yamaoka <yamaoka@HIDDEN>
Subject: Re: bug#9648: 24.0.90; popup-menu doesn't work on Lucid Emacs
References: <b4md3eg8av6.fsf@HIDDEN> <4E889DAF.2040905@HIDDEN>
	<b4mipo6hq4u.fsf@HIDDEN> <b4mlit215i9.fsf@HIDDEN>
In-Reply-To: <b4mlit215i9.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 9648
Cc: 9648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

Hello.

The font Emacs chooses can be one of three:

If you have Xft (antialiased fonts) and one of Xsettings/Gsettings/GConf
it chooses the normal font for your desktop.  You can see what it is by=20
calling the lisp function font-get-system-font.

Otherwise, it uses Sans-10 if you have Xft, or the default Xt font if not=
.

	Jan D.



Katsumi Yamaoka skrev 2011-10-03 17:03:
> Katsumi Yamaoka<yamaoka@HIDDEN>  wrote:
>> Jan Dj=E4rv wrote:
>>> Katsumi Yamaoka skrev 2011-10-02 03:01:
>>>> (require 'gnus-art)
>>>> (popup-menu gnus-mime-button-menu)
>>>> I get a box that seems to be a menu but no text is displayed in it.
>
>> Uhm, I couldn't reproduce it today.  The menu is displayed properly
>> with text.  Now I'm in the office and use Emacs that I built Friday
>> on Cygwin under Windows XP.  I'll try it again on Fedora 14 in home
>> about 14 hours later.
>
> I'm home.  I verified it reproduces with the latest Emacs 24.0.90
> (I built it minutes ago) on Fedora 14.  Here's a screenshot:
>
> http://www.jpl.org/tmp/Screenshot.png
>
> This happens with `emacs -Q', but setting the `Emacs*popup*font'
> resource with any font that provides ASCII characters solves it.
> Though it might not be an Emacs bug, I suspect there's something
> that leads Emacs to choose a wrong font when there's no X resource
> for `Emacs*popup*font'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.

Message received at 9648 <at> debbugs.gnu.org:


Received: (at 9648) by debbugs.gnu.org; 3 Oct 2011 15:05:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 03 11:05:40 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RAk5I-0002x3-1F
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2011 11:05:40 -0400
Received: from halifax.hostforweb.net ([205.234.198.248])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <yamaoka@HIDDEN>) id 1RAk5B-0002ws-Sy
	for 9648 <at> debbugs.gnu.org; Mon, 03 Oct 2011 11:05:34 -0400
Received: from softbank218118002006.bbtec.net ([218.118.2.6]:33629 helo=)
	by halifax.hostforweb.net with esmtpsa (TLSv1:AES128-SHA:128)
	(Exim 4.69) (envelope-from <yamaoka@HIDDEN>)
	id 1RAk3j-0007Dc-9V; Mon, 03 Oct 2011 10:03:59 -0500
From: Katsumi Yamaoka <yamaoka@HIDDEN>
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#9648: 24.0.90; popup-menu doesn't work on Lucid Emacs
References: <b4md3eg8av6.fsf@HIDDEN> <4E889DAF.2040905@HIDDEN>
	<b4mipo6hq4u.fsf@HIDDEN>
References: <b4md3eg8av6.fsf@HIDDEN> <4E889DAF.2040905@HIDDEN>
	<b4mipo6hq4u.fsf@HIDDEN>
X-Face: #kKnN,xUnmKia.'[pp`;
	Omh}odZK)?7wQSl"4o04=EixTF+V[""w~iNbM9ZL+.b*_CxUmFk
	B#Fu[*?MZZH@IkN:!"\w%I_zt>[$nm7nQosZ<3eu;
	B:$Q_:p!',P.c0-_Cy[dz4oIpw0ESA^D*1Lw= L&i*6&(
Date: Tue, 04 Oct 2011 00:03:58 +0900
Message-ID: <b4mlit215i9.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.90 (gnu/linux)
Cancel-Lock: sha1:TMBaSjiC8EyFC6wG7Fl1pJ5BgFY=
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Antivirus-Scanner: Clean mail though you should still use an Antivirus
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - halifax.hostforweb.net
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jpl.org
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 9648
Cc: 9648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

Katsumi Yamaoka <yamaoka@HIDDEN> wrote:
> Jan Dj=E4rv wrote:
>> Katsumi Yamaoka skrev 2011-10-02 03:01:
>>> (require 'gnus-art)
>>> (popup-menu gnus-mime-button-menu)
>>> I get a box that seems to be a menu but no text is displayed in it.

> Uhm, I couldn't reproduce it today.  The menu is displayed properly
> with text.  Now I'm in the office and use Emacs that I built Friday
> on Cygwin under Windows XP.  I'll try it again on Fedora 14 in home
> about 14 hours later.

I'm home.  I verified it reproduces with the latest Emacs 24.0.90
(I built it minutes ago) on Fedora 14.  Here's a screenshot:

http://www.jpl.org/tmp/Screenshot.png

This happens with `emacs -Q', but setting the `Emacs*popup*font'
resource with any font that provides ASCII characters solves it.
Though it might not be an Emacs bug, I suspect there's something
that leads Emacs to choose a wrong font when there's no X resource
for `Emacs*popup*font'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.

Message received at 9648 <at> debbugs.gnu.org:


Received: (at 9648) by debbugs.gnu.org; 3 Oct 2011 00:33:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 20:33:17 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RAWT6-0006pJ-HY
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2011 20:33:17 -0400
Received: from orlando.hostforweb.net ([216.246.45.90])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <yamaoka@HIDDEN>) id 1RAWT4-0006pA-6X
	for 9648 <at> debbugs.gnu.org; Sun, 02 Oct 2011 20:33:14 -0400
Received: from localhost ([127.0.0.1]:58315)
	by orlando.hostforweb.net with smtp (Exim 4.69)
	(envelope-from <yamaoka@HIDDEN>)
	id 1RAWRi-0004jm-S8; Sun, 02 Oct 2011 19:31:52 -0500
Date: Mon, 03 Oct 2011 09:31:45 +0900
Message-ID: <b4mipo6hq4u.fsf@HIDDEN>
From: Katsumi Yamaoka <yamaoka@HIDDEN>
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#9648: 24.0.90; popup-menu doesn't work on Lucid Emacs
References: <b4md3eg8av6.fsf@HIDDEN> <4E889DAF.2040905@HIDDEN>
Organization: Emacsen advocacy group
X-Face: #kKnN,xUnmKia.'[pp`;
	Omh}odZK)?7wQSl"4o04=EixTF+V[""w~iNbM9ZL+.b*_CxUmFk
	B#Fu[*?MZZH@IkN:!"\w%I_zt>[$nm7nQosZ<3eu;
	B:$Q_:p!',P.c0-_Cy[dz4oIpw0ESA^D*1Lw= L&i*6&(
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.90 (i686-pc-cygwin)
Cancel-Lock: sha1:VAsrPMX5wQ8yUgFpvxQMUXxFu5c=
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - orlando.hostforweb.net
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jpl.org
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 9648
Cc: 9648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.5 (---)

Jan Dj=E4rv wrote:
> Katsumi Yamaoka skrev 2011-10-02 03:01:
>> (require 'gnus-art)
>> (popup-menu gnus-mime-button-menu)
>> I get a box that seems to be a menu but no text is displayed in it.

Uhm, I couldn't reproduce it today.  The menu is displayed properly
with text.  Now I'm in the office and use Emacs that I built Friday
on Cygwin under Windows XP.  I'll try it again on Fedora 14 in home
about 14 hours later.

> Does it happen when you start emacs with -Q?  Does it work with
> another font, i.e.

> % emacs -Q -xrm 'Emacs*popup*font: fixed'

> for example.

It works.  But `emacs -Q', `emacs -q' and even `emacs' also work
today. :<

> What is your default font?

I don't know.  I have no personal X resource in both the platforms
because I want Emacs that is vanilla as much as possible when
testing.  Moreover some X resources conflict with XEmacs, IIRC.
So, all the fonts I use normally are set in the ~/.emacs file.
I seem to have no means to customize the menu font as for at least
Lucid Emacs, though (the font for the `menu' face doesn't seems to
be used for popup menus).

On Cygwin, I noticed the font used for the text varies by a way to
launch Emacs.  The font looking like `fixed' is used for the popup
menu if I start Emacs from the command line in xterm, but the one
looking like Helvetica is used if I start Emacs from Cygwin's root
menu.  On the analogy of this, I guess a font that doesn't provide
ASCII text is chosen for some reason when a popup menu is displayed
with no text.

Anyway the solution will probably be to have an X resource for
the default font.  Any other thought?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.

Message received at 9648 <at> debbugs.gnu.org:


Received: (at 9648) by debbugs.gnu.org; 2 Oct 2011 17:23:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 13:23:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RAPku-0004Ts-Pm
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2011 13:23:13 -0400
Received: from smtprelay-h21.telenor.se ([195.54.99.196])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jan.h.d@HIDDEN>) id 1RAPkq-0004Th-Au
	for 9648 <at> debbugs.gnu.org; Sun, 02 Oct 2011 13:23:09 -0400
Received: from iph2.telenor.se (iph2.telenor.se [195.54.127.133])
	by smtprelay-h21.telenor.se (Postfix) with ESMTP id 9C6C5EA0AB
	for <9648 <at> debbugs.gnu.org>; Sun,  2 Oct 2011 19:21:48 +0200 (CEST)
X-SENDER-IP: [85.225.45.201]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AmdZAKeciE5V4S3JPGdsb2JhbABBiSyccIFxGQEBAQE3MoFTAQEFOB4iARALIRYPCQMCAQIBGwwKFAYNAQcBAYd5tnqHIQSZBYwb
X-IronPort-AV: E=Sophos;i="4.68,477,1312149600"; d="scan'208";a="486685406"
Received: from c-c92de155.25-1-64736c10.cust.bredbandsbolaget.se (HELO
	coolsville.localdomain) ([85.225.45.201])
	by iph2.telenor.se with ESMTP; 02 Oct 2011 19:21:48 +0200
Received: from [172.20.199.13] (zeplin [172.20.199.13])
	by coolsville.localdomain (Postfix) with ESMTPSA id 0A62B7FA058;
	Sun,  2 Oct 2011 19:21:47 +0200 (CEST)
Message-ID: <4E889DAF.2040905@HIDDEN>
Date: Sun, 02 Oct 2011 19:21:51 +0200
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7;
	rv:5.0) Gecko/20110624 Thunderbird/5.0
MIME-Version: 1.0
To: Katsumi Yamaoka <yamaoka@HIDDEN>
Subject: Re: bug#9648: 24.0.90; popup-menu doesn't work on Lucid Emacs
References: <b4md3eg8av6.fsf@HIDDEN>
In-Reply-To: <b4md3eg8av6.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 9648
Cc: 9648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

Hi.


Katsumi Yamaoka skrev 2011-10-02 03:01:
> Hi,
>
> This is what Gnus does when a user clicks the mouse-3 on a MIME
> part button in the article buffer:
>
> (require 'gnus-art)
> (popup-menu gnus-mime-button-menu)
>
> I get a box that seems to be a menu but no text is displayed in it.
> The issue arises on only Lucid Emacs (i.e., configured with the
> `--with-x-toolkit=lucid' option).  I tried GTK Emacs and verified
> it works.  Or do I miss something?
>
>

Does it happen when you start emacs with -Q?  Does it work with another font, i.e.

% emacs -Q -xrm 'Emacs*popup*font: fixed'

for example.  What is your default font?

	Jan D.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.

Message received at 9648 <at> debbugs.gnu.org:


Received: (at 9648) by debbugs.gnu.org; 2 Oct 2011 02:41:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 22:41:27 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RABzZ-0000km-CX
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2011 22:41:26 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1RABzT-0000kb-Iu
	for 9648 <at> debbugs.gnu.org; Sat, 01 Oct 2011 22:41:20 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1RAByE-0007LN-1F; Sat, 01 Oct 2011 22:40:02 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Katsumi Yamaoka <yamaoka@HIDDEN>
Subject: Re: bug#9648: 24.0.90; popup-menu doesn't work on Lucid Emacs
References: <b4md3eg8av6.fsf@HIDDEN>
X-Spook: Ft. Bragg electronic surveillance Dateline explosion AMW
X-Ran: 5l`xW_ZTOM?'du4PBBJ(r=fjC;gj)bndQ5A|#a-!d3]y_$n`m=2DU~S2<eB`=QKM(J%Nt<
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 01 Oct 2011 22:40:01 -0400
In-Reply-To: <b4md3eg8av6.fsf@HIDDEN> (Katsumi Yamaoka's message of "Sun, 02
	Oct 2011 10:01:49 +0900")
Message-ID: <axehyw3ym6.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 9648
Cc: 9648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)

Katsumi Yamaoka wrote:

> (require 'gnus-art)
> (popup-menu gnus-mime-button-menu)
>
> I get a box that seems to be a menu but no text is displayed in it.
> The issue arises on only Lucid Emacs (i.e., configured with the
> `--with-x-toolkit=lucid' option).

emacs -Q -l gnus-art
(popup-menu gnus-mime-button-menu)

works for me with a Lucid build of the current trunk.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Oct 2011 01:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 21:03:17 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RAASb-00070Q-60
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2011 21:03:17 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <yamaoka@HIDDEN>) id 1RAASY-00070I-S5
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2011 21:03:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <yamaoka@HIDDEN>) id 1RAARL-0001nh-7C
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2011 21:02:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:55996)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <yamaoka@HIDDEN>) id 1RAARL-0001nd-4f
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2011 21:01:59 -0400
Received: from eggs.gnu.org ([140.186.70.92]:38982)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <yamaoka@HIDDEN>) id 1RAARK-0006mv-2p
	for bug-gnu-emacs@HIDDEN; Sat, 01 Oct 2011 21:01:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <yamaoka@HIDDEN>) id 1RAARJ-0001nN-1s
	for bug-gnu-emacs@HIDDEN; Sat, 01 Oct 2011 21:01:58 -0400
Received: from halifax.hostforweb.net ([205.234.198.248]:45420)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <yamaoka@HIDDEN>) id 1RAARI-0001nE-VY
	for bug-gnu-emacs@HIDDEN; Sat, 01 Oct 2011 21:01:57 -0400
Received: from softbank218118002006.bbtec.net ([218.118.2.6]:37876 helo=)
	by halifax.hostforweb.net with esmtpsa (TLSv1:AES128-SHA:128)
	(Exim 4.69) (envelope-from <yamaoka@HIDDEN>)
	id 1RAAR6-00026R-HL; Sat, 01 Oct 2011 20:01:45 -0500
From: Katsumi Yamaoka <yamaoka@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.90; popup-menu doesn't work on Lucid Emacs
X-Face: #kKnN,xUnmKia.'[pp`;
	Omh}odZK)?7wQSl"4o04=EixTF+V[""w~iNbM9ZL+.b*_CxUmFk
	B#Fu[*?MZZH@IkN:!"\w%I_zt>[$nm7nQosZ<3eu;
	B:$Q_:p!',P.c0-_Cy[dz4oIpw0ESA^D*1Lw= L&i*6&(
Date: Sun, 02 Oct 2011 10:01:49 +0900
Message-ID: <b4md3eg8av6.fsf@HIDDEN>
Cancel-Lock: sha1:kMVZsufsVwLRgShNvOp4wgJxtFo=
MIME-Version: 1.0
Content-Type: text/plain
X-Antivirus-Scanner: Clean mail though you should still use an Antivirus
X-AntiAbuse: This header was added to track abuse,
	please include it with any abuse report
X-AntiAbuse: Primary Hostname - halifax.hostforweb.net
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - jpl.org
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.8 (----)

Hi,

This is what Gnus does when a user clicks the mouse-3 on a MIME
part button in the article buffer:

(require 'gnus-art)
(popup-menu gnus-mime-button-menu)

I get a box that seems to be a menu but no text is displayed in it.
The issue arises on only Lucid Emacs (i.e., configured with the
`--with-x-toolkit=lucid' option).  I tried GTK Emacs and verified
it works.  Or do I miss something?




Acknowledgement sent to Katsumi Yamaoka <yamaoka@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#9648; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.